Subject: Re: [Netconf] ietf-netconf.yang (2)

From: Phil Shafer <[email-masked]>
Date: Sun, 26 Apr 2009 22:56:58 -0400

Subject: Re: [Netconf] ietf-netconf.yang (2)
From: Phil Shafer <[email-masked]>
To: Andy Bierman <[email-masked]>
Cc: NETMOD Working Group <[email-masked]>
Date: Sun, 26 Apr 2009 22:56:58 -0400

[moving to a single mailing list (netmod); bcc'ing netconf]

Andy Bierman writes:
>I did not get any comments on the YANG module
>or the total lack of support for NETCONF capabilities.

You've mentioned this issue several times and I believe
it's been addressed, most recently by Martin, but by
others before and during the interim.

My quick summary would be:
(1) If we'd had features during the initial netconf
work, we would have used them.
(2) YANG can handle multiple capabilities using multiple
modules.
(3) Early YANG users wanted something less heavy/ more
light-weight for their models.  The disliked using
capabilities for this.
(4) We made features, which give a simple extension
mechanism for modelers to mark portions of the model
as only applying when a feature is present.
(5) This approach was approved at the interim and
subsequently on the mailing list.

If you want to use capabilities to model these bits instead of
features, I think that is a valid choice.  Other modelers may find
features more suitable.

I believe this is a closed issue.

Thanks,
 Phil